<?php if(!defined('ABSPATH')) exit;?>
<script>
	var map = null;
	var infoWindow = null;

	jQuery(document).ready(function() {
		<?php
			if($mode == "modify")
			{
				?>
					checkValuable();
				<?php
			}
		?>
	});
<?php
	$defaultMapWidth = "100%";
	$defaultMapHeight = "400px";
	if($mode == "modify")
	{
		if($rs_map->width)
		{
			$defaultMapWidth = $rs_map->width;
		}
		if($rs_map->height)
		{
			$defaultMapHeight = $rs_map->height;
		}
	}
?>
	var mapWidth = "<?php echo esc_js($defaultMapWidth);?>";
	var mapHeight = "<?php echo esc_js($defaultMapHeight);?>";

	function checkValuable()
	{
		var client_id = jQuery.trim(jQuery("#client_id").val());

		if(!client_id)
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "Client ID 값을 입력해 주세요.",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}

		loadNaverMap(client_id);

		<?php
			if($mode == "modify")
			{
				?>
					Swal.fire({
					  position: 'center',
					  type: 'info',
					  title: "네이도 지도를 불러오는 중입니다",
					  showConfirmButton: false,
					  timer: 3000
					});
				<?php
			}
			else
			{
				?>
					Swal.fire({
					  position: 'center',
					  type: 'info',
					  title: "네이도 지도를 불러옵니다",
					  text: "10초 이내로 출력되지 않는 경우 Client ID를 다시 확인하세요",
					  showConfirmButton: false,
					  timer: 3000
					});
				<?php
			}
		?>

		setTimeout(function(){
			jQuery("#source_player_mapContainer").show();

			jQuery("#map").css("width",mapWidth);
			jQuery("#map").css("height",mapHeight);

			 map = new naver.maps.Map('map', {
			 center: new naver.maps.LatLng(37.3595704, 127.105399),
			 mapTypeControl: true,
			 zoom: 15
			});

			infoWindow = new naver.maps.InfoWindow({
			  anchorSkew: true
			});

			jQuery("#source_player_result").show();

			<?php
				if($mode == "modify")
				{
					?>
						 var htmlAddresses = [];
					
						 var item = new Object();
						 item.x = "<?php echo esc_js($rs_map->lng);?>";
						 item.y = "<?php echo esc_js($rs_map->lat);?>";

						 point = new naver.maps.Point(item.x, item.y);

						 htmlAddresses.push('<div id="destAddressContents" style="padding:0px; padding-left:10px; margin-top:5px; font-size:11px; line-height:110%"><?php echo wp_kses_post($rs_map->descript);?></div>');

						 infoWindow.setContent([
							'<div style="padding:10px;min-width:200px;line-height:150%;">',
							'<h7 style="margin-top:5px; margin-bottom:5px; font-weight:bold" id="destAddress" lng="'+item.x+'" lat="'+item.y+'">'+ '<?php echo wp_kses_post($rs_map->address);?>' +'</h7>',
							htmlAddresses,
							'</div>'
						 ].join('\n'));

						 map.setCenter(point);
						 infoWindow.open(map, point);
					<?php
				}
			?>

		},3000);

	}

	function saveAll()
	{
		var map_type = jQuery("#map_type").val();
		var client_id = jQuery("#client_id").val();
		var address = jQuery("#destAddress").html();
		var descript = jQuery("#destAddressContents").html();
		var lng = jQuery("#destAddress").attr("lng");
		var lat = jQuery("#destAddress").attr("lat");
		var code = "<?php if($mode == "modify"){echo esc_js($NMAP_CODE);}?>";

		jQuery.ajax({
		  type: 'POST',  
		  url: "<?php echo esc_url(admin_url( 'admin-post.php' )); ?>?action=sourceplay_map_save",
		  data: { 'map_type': map_type,'client_id': client_id, 'address': address, 'descript': descript,'lng': lng, 'lat': lat, 'code':code, 'width': mapWidth, 'height': mapHeight},
		  cache: false,
		  async: false
		})
		.done(function( result ) {
			if(result.indexOf("OK;") > -1)
			{
				//저장후 다시 불러오기
				Swal.fire({
				  position: 'center',
				  type: 'success',
				  title: '정상 저장되었습니다.',
				  showConfirmButton: false,
				  timer: 1000
				}).then(function(result) {
				})

				if(!code)
				{
					code = result.substring(result.indexOf(";")+1);
				}

				location.href = "<?php echo esc_url(admin_url( 'admin.php' )); ?>?page=sourceplay_navermap_add&code="+code;
			}
			else
		   {
				alert("오류 발생");
			}
		})
		.fail(function (jqXHR, textStatus, errorThrown) { 
			alert("에러 발생");
		});

	}
</script>

<div class="wrap_sourceplay">
		<?php
			if($mode == "modify")
			{
				?>
					<h1>지도 수정</h1>
				<?php
			}
			else
			{
				?>
					<h1>새 지도 생성</h1>
				<?php
			}
		?>

		<?php
			if($mode == "modify")
			{
				?>
					<div class="clNMapContainer">
						<div class="clNMapTitle">
							Shortcode (복사해서 약도가 나올 위치에 붙여 넣으세요.)
						</div>
						<div class="clNMapContent">
								<div style="float:left">
									<textarea style="width:370px; height:100px" id="map_short_code">[sourceplay-navermap id="<?php echo esc_html($NMAP_CODE);?>"]</textarea>
								</div>
								<div style="float:left; margin-left:5px">
									<button style="height:100px" onclick="javascript:copyShortcode();">복사하기</button>
								</div>
						</div>
					</div>
				<?php
			}
		?>


	<div class="clNMapContainer">
		<div class="clNMapTitle">
			1. 적용 방식
		</div>
		<div class="clNMapContent">
			<input type="radio" name="map_type" id="map_type" value="static" checked>
			약도 형식(Static Map)
		</div>
	</div>

	<div class="clNMapContainer">
		<div class="clNMapTitle">
			2. Client ID 값을 넣으세요 <span style="color:red; cursor:pointer" onclick="javascript:whatClientID();">(Client ID란?)</span>
		</div>
		<div class="clNMapContent">
			<div style="width:100px; float:left">
				Client ID : 
			</div>
			<div style="width:70%; float:left">
				<input type="text" name="client_id" id="client_id" value="<?php
				if($mode == "modify")
				{
					echo esc_attr($rs_map->client_id);
				}
				else
				{
					echo esc_attr($RECENT_CLIENT_ID);
				}
				?>" style="width:350px">
			</div>
		</div>
		<!--div class="clNMapContent">
			<div style="width:100px; float:left">
				Client Secret : 
			</div>
			<div style="width:70%; float:left">
				<input type="text" name="client_secret" id="client_secret" value="" style="width:350px">
			</div>
		</div-->
		<div style="margin-top:25px; padding-left:16px">
			<a class="page-title-action" onclick="javascript:checkValuable();">지도 출력하기</a>
		</div>
	</div>	

	<div class="clNMapContainer" style="margin-top:30px; display:none" id="source_player_mapContainer">
		<div class="clNMapTitle">
			3. 주소로 검색하여 약도로 설정한 위치를 선택해주세요
		</div>
		<div style="display:inline-block; margin-top:13px">
			<div style="float:left; height:30px; width:300px">
				<input type="text" name="search_address" id="search_address" value="" placeholder="찾으실 주소를 입력하세요" style="width:100%" onkeypress="javascript:searchAddressEvent(event);">
			</div>
			<div style="float:left; height:30px; margin-left:10px">
				<button style="height:30px" onclick="javascript:searchAddress();">검색</button>
				<button style="height:30px" onclick="javascript:modifyDestAddress();">설명 수정</button>
			</div>
		</div>
		<div id='map' style="">
		</div>
	</div>

	<div class="clNMapContainer" style="margin-top:30px; display:none" id="source_player_result">
		<div class="clNMapTitle">
			4. 코드 생성한 후, 해당 코드를 원하는 위치에 넣으세요
		</div>
		<div style="display:inline-block; margin-top:13px">
			<div style="height:30px">
				<button style="height:30px" onclick="javascript:saveAll();">저장 & 코드 생성하기</button>
			</div>
		</div>
	</div>

</div>


  <div style="width:500px; display:none; background-color:white; padding:5px; border:1px solid #cccccc" id="winAlert">
	<div style="background-color:white; display:inline-block; width:100%">
	  <div style="float:left;width:50%">
		  <h3 class="box-title" id="alert_subject" style="background-color:white; margin:0px; padding:6px">내용보기</h3>
	  </div>
	  <div style="background-color:white; float:right; width:50%; text-align:right; margin-top:6px">
		<button onclick="javascript:closeMessage('winAlert');" style="font-size:9px">닫기</button>
	  </div><!-- /.box-tools -->
	</div><!-- /.box-header -->
	<div id="alert_contents" style="font-size:15px;background-color:white" style="display:inline-block">
	</div><!-- /.box-body -->
  </div><!-- /.box -->


  <div style="width:500px; display:none; background-color:white; padding:5px; border:1px solid #cccccc; position:absolute; left:-1000px; top:-1000px" id="winADD">
	<div style="background-color:white; display:inline-block; width:100%">
	  <div style="float:left;width:50%">
		  <h3 class="box-title" id="winADD_subject" style="background-color:white; margin:0px; padding:6px">내용보기</h3>
	  </div>
	  <div style="background-color:white; float:right; width:50%; text-align:right; margin-top:6px">
		<button onclick="javascript:closeMessage('winADD');" style="font-size:9px">닫기</button>
	  </div><!-- /.box-tools -->
	</div><!-- /.box-header -->
	<div style="font-size:15px;background-color:white" style="display:inline-block">
		<div style='padding-left:9px; padding-right:5px; display:inline-block; margin-top:10px;width:100%; height:200px'>
		<span style='width:10%; min-width:70px; height:28px; line-height:28px; display:inline-block; float:left; font-weight:bold; padding-top:30px'>제목</span> 
		<span style='width:85%; height:28px; display:inline-block; float:left; padding-left:30px'>
			<?php
					$title = "";
					if($mode == "modify") {
						$title   = wp_kses_post($rs_map->address);
					}

					$editor_id = "destTitle";
					$settings  = array( 'media_buttons' => false, 'textarea_rows' => 1, 'editor_height' => 50);
					
					wp_editor( $title, $editor_id, $settings );
			?>		
			<!--input type="text" id="destTitle" name="destTitle" style="width:100%" value=""-->
		</span>
		</div>
		<div style='padding-left:9px; padding-right:5px; display:inline-block; margin-top:10px;width:100%'>
			<span style='width:10%; min-width:70px; height:28px; line-height:28px; display:inline-block; float:left; font-weight:bold'>내용</span> 
			<span style='width:85%; height:100%; display:inline-block; float:left; padding-left:30px'>
				<span id="destContents_parent" style="width:100%; height:100%">
				<?php
					$content = "";
					if($mode == "modify") {
						$content   = wp_kses_post($rs_map->descript);
					}

					$editor_id = "destContents";
					$settings  = array( 'media_buttons' => true, 'textarea_rows' => 10, 'editor_height' => 250);
					
					wp_editor( $content, $editor_id, $settings );
				?>
				</span>
			</span>
		</div>
		<div style='padding-left:9px; padding-right:5px; display:inline-block; margin-top:10px;width:100%'>
			<span style='width:70px; height:28px; line-height:28px; display:inline-block; float:left; font-weight:bold'>폭</span> 
			<span style='width:70px; height:28px; display:inline-block; float:left; padding-left:5px'>
				<input type=radio name='destWidthUnit' id='destWidthUnit2' value='%' >
				<label for='destWidthUnit2' style='font-size:11px; line-height:30px'>퍼센트</label>
			</span> 
			<span style='width:50px; height:28px; display:inline-block; float:left; padding-left:5px'>
				<input type=radio name='destWidthUnit' id='destWidthUnit1' value='px' >
				<label for='destWidthUnit1' style='font-size:11px; line-height:30px'>픽셀</label>
			</span>
			<span style='width:100px; height:28px; display:inline-block; float:left; padding-left:40px'>
				<input type="text" id="destWidth" name="destWidth" style="width:90px" value="">
			</span>
		</div>
		<div style='padding-left:9px; padding-right:5px; display:inline-block; margin-top:10px; width:100%'>
			<span style='width:70px; height:28px; line-height:28px; display:inline-block; float:left; font-weight:bold'>높이</span> 
			<span style='width:70px; height:28px; display:inline-block; float:left; padding-left:5px'>
				<input type=radio name='destHeightUnit' id='destHeightUnit2' value='%' >
				<label for='destHeightUnit2' style='font-size:11px; line-height:30px'>퍼센트</label>
			</span>
			<span style='width:50px; height:28px; display:inline-block; float:left; padding-left:5px'>
				<input type=radio name='destHeightUnit' id='destHeightUnit1' value='px' >
				<label for='destHeightUnit1' style='font-size:11px; line-height:30px'>픽셀</label>
			</span>
			<span style='width:100px; height:28px; display:inline-block; float:left; padding-left:40px'>
				<input type="text" id="destHeight" name="destHeight" style="width:90px" value="">
			</span>
		</div>
		<div style='padding-left:5px; padding-right:5px; display:inline-block; margin-top:10px; margin-bottom:10px; width:100%; text-align:center'>
			<button type='button' style='margin:0px auto' id='btnModify' onclick="javascript:changeDestAddress();">수정하기</button>
		</div>
	</div><!-- /.box-body -->
  </div><!-- /.box -->

