<script>
	function deleteMap(CODE)
	{
		if(CODE)
		{
			Swal.fire({
			  title: "정말 삭제하시겠습니까?",
			  text: "",
			  type: 'warning',
			  showCancelButton: true,
			  confirmButtonColor: '#3085d6',
			  cancelButtonColor: '#d33',
			  cancelButtonText: '아니오',
			  confirmButtonText: '예'
			}).then(function(result) {
			  if (result.value) {
					jQuery.ajax({
					  type: 'POST',  
					  url: "<?php echo esc_url(admin_url( 'admin-post.php' )); ?>?action=sourceplay_map_delete",
					  data: { 'code': CODE},
					  cache: false,
					  async: false
					})
					.done(function( result ) {
						if(result == "OK")
						{
							//저장후 다시 불러오기
							Swal.fire({
							  position: 'center',
							  type: 'success',
							  title: '정상 삭제되었습니다.',
							  showConfirmButton: false,
							  timer: 1000
							}).then(function(result) {
								location.reload();
							})
						}
						else
						{
							alert("오류 발생");
						}
					})
					.fail(function (jqXHR, textStatus, errorThrown) { 
						alert("에러 발생");
					});
			  }
			});
		}
	}
</script>
<div class="wrap">
	<h1 style="display:inline-block">지도 리스트</h1>
	<a href="<?php echo esc_url(admin_url( 'admin.php' )); ?>?page=sourceplay_navermap_add" class="page-title-action">추가하기</a>
	<div style="margin-top:15px">
		<table class="wp-list-table widefat fixed striped posts">
			<thead>
			<tr>
				<th scope="col" id="no" class="manage-column">번호</th>
				<th scope="col" id="address" class="manage-column column-primary"><span>주소(장소)</span></th>
				<th scope="col" id="apply_method" class="manage-column column-primary"><span>적용방식</span></th>
				<th scope="col" id="adddate" class="manage-column column-primary"><span>등록날짜</span></th>
			</tr>
			</thead>
			<tbody id="the-list">
			<?php
				$idx = 0;
				foreach($map_list as $this_map)
				{
					$idx++;
					?>
						<tr id="post-95" class="iedit author-self level-0 post-95 type-post status-publish format-standard has-post-thumbnail hentry category-smart category-apple category-equipment tag-apple clearfix">
							<td>
								<?php echo esc_html($idx);?>
							</td>
							<td>
								<a class="row-title"><?php echo strip_tags($this_map->address);?></a>
								<button style="margin-left:10px" onclick="javascript:location.href = '<?php echo esc_url(admin_url( 'admin.php' )); ?>?page=sourceplay_navermap_add&code=<?php echo esc_html($this_map->nmap_code);?>';">수정</button>
								<button style="margin-left:5px" onclick="javascript:deleteMap('<?php echo esc_js($this_map->nmap_code);?>');">삭제</button>
							</td>
							<td>
								<?php echo esc_html($this_map->apply_method);?>
							</td>
							<td>
								<?php echo esc_html($this_map->now_date);?>
							</td>
						</tr>
					<?php
				}

				if($map_list == null || !$map_list)
				{
					?>
						<tr id="post-95" class="iedit author-self level-0 post-95 type-post status-publish format-standard has-post-thumbnail hentry category-smart category-apple category-equipment tag-apple clearfix">
							<td colspan=4 style="text-align:center">
								등록된 데이터가 없습니다
							</td>
						</tr>
					<?php
				}
			?>
			</tbody>
		</table>
	</div>
</div>